- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Basics::CColour Class Reference

Inheritance diagram for Exponent::GUI::Basics::CColour:

List of all members.

## Detailed Description

Representation of an RGB colour.

Date:
  20/09/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CColour.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CColour.hpp.

## Public Member Functions

- CColour (COLORREF &colour)
- CColour (const CColour &colour)
- CColour ()
- CColour (const unsigned long red, const unsigned long green, const unsigned long blue)
- COLORREF getAsColourRef () const
- unsigned long getBlue () const
- unsigned long getGreen () const
- virtual void getObjectDescription (char *string, const long size) const
- unsigned long getRed () const
- CColour & operator+= (const CColour &colour)
- CColour & operator= (const CColour &colour)
- bool operator== (const CColour &colour)
- void setBlue (const unsigned long blue)
- virtual void setColour (const unsigned long red, const unsigned long green, const unsigned long blue)
- void setFromColourRef (const COLORREF &colour)
- void setGreen (const unsigned long green)
- void setRed (const unsigned long red)
- virtual ~CColour ()

## Static Public Attributes

- static const CColour CCOLOUR_BLACK
- static const CColour CCOLOUR_BLUE
- static const CColour CCOLOUR_DARK_GREY
- static const CColour CCOLOUR_GREEN
- static const CColour CCOLOUR_LIGHT_GREY
- static const CColour CCOLOUR_ORANGE
- static const CColour CCOLOUR_PINK
- static const CColour CCOLOUR_PURPLE
- static const CColour CCOLOUR_RED
- static const CColour CCOLOUR_TURQUOISE
- static const CColour CCOLOUR_WHITE
- static const CColour CCOLOUR_YELLOW

## Protected Attributes

- unsigned long m_blue
- unsigned long m_green
- unsigned long m_red

## Constructor & Destructor Documentation

Exponent::GUI::Basics::CColour::CColour | ( | const unsigned long | red,
|  | const unsigned long | green,
|  | const unsigned long | blue |
| ) |  |  |

Construction

Parameters:

  | red | The red component
  | green | The green component
  | blue | The blue component

Exponent::GUI::Basics::CColour::CColour | ( |  | ) |

Construction

Exponent::GUI::Basics::CColour::CColour | ( | const CColour & | colour | ) |

Copy construction

Parameters:

  | colour | The colour to copy

Exponent::GUI::Basics::CColour::CColour | ( | COLORREF & | colour | ) |

Construction from a COLOURREF

Parameters:

  | colour | The colour to copy

virtual Exponent::GUI::Basics::CColour::~CColour | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

COLORREF Exponent::GUI::Basics::CColour::getAsColourRef | ( |  | ) | const

Get this as a colour ref

Return values:

  | COLORREF | The window colourref

unsigned long Exponent::GUI::Basics::CColour::getBlue | ( |  | ) | const`[inline]`

Get the blue

Return values:

  | long | The blue component

Definition at line 166 of file CColour.hpp.

References m_blue.

Referenced by Exponent::GUI::Basics::CAlphaColour::alphaBlend().

unsigned long Exponent::GUI::Basics::CColour::getGreen | ( |  | ) | const`[inline]`

Get the green

Return values:

  | long | The green component

Definition at line 160 of file CColour.hpp.

References m_green.

Referenced by Exponent::GUI::Basics::CAlphaColour::alphaBlend().

virtual void Exponent::GUI::Basics::CColour::getObjectDescription | ( | char * | string,
|  | const long | size |
| ) |  |  | const`[virtual]`

Get a description of the object

Parameters:

  | string | On return is filled with the description
  | size | The size of the stirng

Reimplemented from Exponent::Basics::CCountedObject.

Reimplemented in Exponent::GUI::Basics::CAlphaColour.

unsigned long Exponent::GUI::Basics::CColour::getRed | ( |  | ) | const`[inline]`

Get the red

Return values:

  | long | The red component

Definition at line 154 of file CColour.hpp.

References m_red.

Referenced by Exponent::GUI::Basics::CAlphaColour::alphaBlend().

CColour& Exponent::GUI::Basics::CColour::operator+= | ( | const CColour & | colour | ) |

Add two colours

Parameters:

  | colour | The colour to merge with

Return values:

  | CColour& | A reference to this

CColour& Exponent::GUI::Basics::CColour::operator= | ( | const CColour & | colour | ) |

Assignment operator

Parameters:

  | colour | The colour to copy

Return values:

  | CColour& | A reference to this

Reimplemented in Exponent::GUI::Basics::CAlphaColour.

bool Exponent::GUI::Basics::CColour::operator== | ( | const CColour & | colour | ) |

Equality operator

Parameters:

  | colour | the colour to compare to

Return values:

  | bool | True if the colours are the same, false otherwise

void Exponent::GUI::Basics::CColour::setBlue | ( | const unsigned long | blue | ) | `[inline]`

Set the blue

Parameters:

  | blue | The blue component

Definition at line 138 of file CColour.hpp.

References m_blue.

Referenced by Exponent::GUI::Basics::CAlphaColour::alphaBlend().

virtual void Exponent::GUI::Basics::CColour::setColour | ( | const unsigned long | red,
|  | const unsigned long | green,
|  | const unsigned long | blue |
| ) |  |  | `[virtual]`

Set the colour

Parameters:

  | red | The red component
  | green | The green component
  | blue | The blue component

void Exponent::GUI::Basics::CColour::setFromColourRef | ( | const COLORREF & | colour | ) |

SEt from a colour

Parameters:

  | colour | The colour to copy

void Exponent::GUI::Basics::CColour::setGreen | ( | const unsigned long | green | ) | `[inline]`

Set the green

Parameters:

  | green | The green component

Definition at line 132 of file CColour.hpp.

References m_green.

Referenced by Exponent::GUI::Basics::CAlphaColour::alphaBlend().

void Exponent::GUI::Basics::CColour::setRed | ( | const unsigned long | red | ) | `[inline]`

Set the red

Parameters:

  | red | The red component

Definition at line 126 of file CColour.hpp.

References m_red.

Referenced by Exponent::GUI::Basics::CAlphaColour::alphaBlend().

## Member Data Documentation

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_BLACK`[static]`

Black

Definition at line 44 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_BLUE`[static]`

Blue

Definition at line 48 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_DARK_GREY`[static]`

Dark grey

Definition at line 55 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_GREEN`[static]`

Green

Definition at line 47 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_LIGHT_GREY`[static]`

Light grey

Definition at line 54 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_ORANGE`[static]`

Orange

Definition at line 50 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_PINK`[static]`

Pink

Definition at line 53 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_PURPLE`[static]`

Purple

Definition at line 52 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_RED`[static]`

Red

Definition at line 46 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_TURQUOISE`[static]`

Turqoise

Definition at line 51 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_WHITE`[static]`

White

Definition at line 45 of file CColour.hpp.

const CColour Exponent::GUI::Basics::CColour::CCOLOUR_YELLOW`[static]`

Yellow

Definition at line 49 of file CColour.hpp.

unsigned long Exponent::GUI::Basics::CColour::m_blue`[protected]`

Blue component

Definition at line 231 of file CColour.hpp.

Referenced by getBlue(), and setBlue().

unsigned long Exponent::GUI::Basics::CColour::m_green`[protected]`

Green component

Definition at line 230 of file CColour.hpp.

Referenced by getGreen(), and setGreen().

unsigned long Exponent::GUI::Basics::CColour::m_red`[protected]`

Red component

Definition at line 229 of file CColour.hpp.

Referenced by getRed(), and setRed().